{
    duration: 3,
    name: "Levitation",
    noCopy: true,
    onStart(pokemon) {
      pokemon.addVolatile("telekinesis");
    },
    onUpdate(pokemon) {
      if (this.field.getPseudoWeather("Gravity")) {
        pokemon.removeVolatile("levitation");
      }
      if (pokemon.volatiles["smackdown"]) {
        pokemon.removeVolatile("levitation");
      }
    },
    onEnd(pokemon) {
      pokemon.removeVolatile("telekinesis");
      this.damage(pokemon.baseMaxhp / 2, pokemon, pokemon);
    }
}